# The Red Project: include/Scrape.php File Reference

All Classes Namespaces Files Functions Variables Pages
Scrape.php File Reference

## Functions

| probe_url ($url, $mode=PROBE_NORMAL)

## Variables

const | PROBE_NORMAL (!function_exists('scrape_feed')) 0

## Function Documentation

probe_url | ( |  | $url,
|  |  | $mode = `PROBE_NORMAL`
| ) |  |

## Variable Documentation

const PROBE_NORMAL(!function_exists('scrape_feed')) 0

Probe a network address to discover what kind of protocols we need to communicate with it.

Warning: this function is a bit touchy and there are some subtle dependencies within the logic flow. Edit with care.

PROBE_DIASPORA has a bias towards returning Diaspora information while PROBE_NORMAL has a bias towards dfrn/zot - in the case where an address (such as a Friendica address) supports more than one type of network.

Referenced by probe_url().